openjpa-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jim Jake <maillistsubscript...@mail.ru.INVALID>
Subject AnnotationProcessor6 shows warning when isn't used
Date Wed, 03 Jan 2018 19:32:37 GMT
Hi,

despite not using any enhancement at all, I still see this warning 
during maven build:

WARNING: Supported source version 'RELEASE_6' from annotation processor 
'org.apache.openjpa.persistence.meta.AnnotationProcessor6' less than 
-source '1.7'

I do not use neither openjpa-maven-plugin nor an OpenJPA javaagent. I 
just have "openejb-core" artifact as one of my test dependencies.

Surely there is no reason for the annotation processor to be called by 
Maven?

Is this warning a sign of some kind of implicit enhancement happening, 
or does it mean something else?


Best regards,

Jim Jake


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message